Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.cics
Class AsyncCicsCallList

    java.lang.Object
      com.stc.eways.cics.AsyncCicsCallList

All Implemented Interfaces:
  SBYNDCicsProxyConstants

    public class AsyncCicsCallList

extends java.lang.Object
implements SBYNDCicsProxyConstants

The `AsyncCicsCallList` class represents a list of `AsyncCicsCall` instances registered by the collaboration; it is exposed in ETD as `AsyncCalls`; the collaboration code can iterate through the list by calling `hasNext()` and `next()`; or remove an instance by calling `remove()`;

Field Summary

Fields inherited from interface com.stc.eways.cics.SBYNDCicsProxyConstants
`CALL_ERROR, CALL_OK, CICSLSTNR_ASYNC_RSP_MSG_PROP_COMMLEN, CICSLSTNR_ASYNC_RSP_MSG_PROP_MSG, CICSLSTNR_ASYNC_RSP_MSG_PROP_PROGRAM, CICSLSTNR_ASYNC_RSP_MSG_PROP_RC, CICSLSTNR_ASYNC_RSP_MSG_PROP_RETURNTIME, CICSLSTNR_ASYNC_RSP_MSG_PROP_SC, CICSLSTNR_ASYNC_RSP_MSG_PROP_STARTTIME, CICSLSTNR_ASYNC_RSP_MSG_PROP_TOPIC, CICSLSTNR_C_ACR_OFFSET_APPL_TIMEOUT, CICSLSTNR_C_ACR_OFFSET_COMM_LEN, CICSLSTNR_C_ACR_OFFSET_HEADER, CICSLSTNR_C_ACR_OFFSET_PADCHAR, CICSLSTNR_C_ACR_OFFSET_PASSWORD, CICSLSTNR_C_ACR_OFFSET_PAYLOAD_LEN, CICSLSTNR_C_ACR_OFFSET_PROGNAME, CICSLSTNR_C_ACR_OFFSET_RC, CICSLSTNR_C_ACR_OFFSET_REQCODE, CICSLSTNR_C_ACR_OFFSET_RM, CICSLSTNR_C_ACR_OFFSET_USERID, CICSLSTNR_C_BUFFER_SIZE, CICSLSTNR_C_CONTROLRECORD_ENCODING, CICSLSTNR_C_IC_RECORD_DELIMITER, CICSLSTNR_C_IC_RECORD_SIZE, CICSLSTNR_C_ICR_OFFSET_APPL_TIMEOUT, CICSLSTNR_C_ICR_OFFSET_FILLER, CICSLSTNR_C_ICR_OFFSET_LISTENER_TIMEOUT, CICSLSTNR_C_ICR_OFFSET_PASSWD, CICSLSTNR_C_ICR_OFFSET_PAYLOAD_DELIMETER, CICSLSTNR_C_ICR_OFFSET_POLLING_RATE, CICSLSTNR_C_ICR_OFFSET_STARTUP_DELAY, CICSLSTNR_C_ICR_OFFSET_STARTUP_TYPE, CICSLSTNR_C_ICR_OFFSET_STARTUP_TYPE_DELIMETER, CICSLSTNR_C_ICR_OFFSET_TRANSID, CICSLSTNR_C_ICR_OFFSET_TRANSID_DELIMETER, CICSLSTNR_C_ICR_OFFSET_TRANSPORT_TIMEOUT, CICSLSTNR_C_ICR_OFFSET_USERID, CICSLSTNR_C_MIN_ACR_HEADER_SIZE, CICSLSTNR_C_SEEBEYOND_LISTENER, CICSLSTNR_C_SPACE, CICSLSTNR_C_TRANSACTION_GATEWAY, CICSLSTNR_E_ACR_INCONSISTENT, CICSLSTNR_E_ACR_LEN_SHORTER_THAN_MIN_ACR_LEN, CICSLSTNR_E_ASYNCCALL_LIST_NOT_AVAILABLE, CICSLSTNR_E_ASYNCCALL_NOT_AVAILABLE, CICSLSTNR_E_ASYNCCALLHANDLER_REQUIRED, CICSLSTNR_E_BYTESAVAILABLE, CICSLSTNR_E_CICS_SERVER_REQUIRED, CICSLSTNR_E_CLIENT_NOT_CONNECTED, CICSLSTNR_E_CLOSE_SOCKET, CICSLSTNR_E_CONFIG_CLONE_NOT_AVAILABLE_ASYNC_EXECUTE, CICSLSTNR_E_CONFIG_INVALID_PARAM, CICSLSTNR_E_CONNECT_BAD_RESPONSE, CICSLSTNR_E_CONNECT_FAILED_EMPTY_TRANSID, CICSLSTNR_E_CONNECT_FAILED_GEN_INITREC_ERROR, CICSLSTNR_E_CONNECT_FAILED_INVALID_TRANSID, CICSLSTNR_E_CONNECT_GET_NACK_FROM_LISTENER, CICSLSTNR_E_CONNECT_UNEXPECTED_RESPONSE, CICSLSTNR_E_CONNECTION, CICSLSTNR_E_CTG_GATEWAY_ERROR, CICSLSTNR_E_DISCONNECT_FAILED, CICSLSTNR_E_ETD_INSTANCE_NOT_AVAILABLE_WHEN_CHECK_CONN, CICSLSTNR_E_ETD_INSTANCE_NOT_AVAILABLE_WHEN_CLOSE_CONN, CICSLSTNR_E_ETD_INSTANCE_NOT_AVAILABLE_WHEN_OPEN_CONN, CICSLSTNR_E_EXCEPTION_REMOVING_ASYNCCALL, CICSLSTNR_E_EXECUTE_BAD_RESPONSE, CICSLSTNR_E_EXECUTE_BAD_RESULT, CICSLSTNR_E_EXECUTE_GET_RESULT, CICSLSTNR_E_EXECUTE_REQ_NACKED, CICSLSTNR_E_EXECUTE_TIMEOUT, CICSLSTNR_E_EXECUTE_UNEXPECTED_RESPONSE, CICSLSTNR_E_EXPECTING_LSTNR_RSP4SHUTDOWN, CICSLSTNR_E_FAILED_RECV_LSTNR_RSP4SHUTDOWN, CICSLSTNR_E_INVALID_ACR_LENGTH_HEADER, CICSLSTNR_E_INVALID_ACR_PAYLOADLEN, CICSLSTNR_E_INVALID_COMMAREA_LENGTH, CICSLSTNR_E_INVALID_CONNECTOR_TYPE, CICSLSTNR_E_INVALID_OPERATION, CICSLSTNR_E_INVALID_OPERATION_4_CTG, CICSLSTNR_E_INVALID_OPERATION_4_LISTENER, CICSLSTNR_E_INVALID_OPERATION_ON_INBOUND_RECORD, CICSLSTNR_E_INVALID_PADCHAR, CICSLSTNR_E_INVALID_REQUEST_CODE, CICSLSTNR_E_INVALID_RETURN_CODE, CICSLSTNR_E_INVALID_TIMEOUT, CICSLSTNR_E_ITERATOR_NOT_AVAILABLE_WHEN_INVOKE, CICSLSTNR_E_MISSING_PROGNAME_WHEN_PREPARE_ACR, CICSLSTNR_E_PROGRAM_REQUIRED, CICSLSTNR_E_RECEV_RESPONSE_SOCKETEXCEPTION, CICSLSTNR_E_RECEV_RESPONSE_TIMEOUT, CICSLSTNR_E_RECV, CICSLSTNR_E_REMOVE_ASYNCCALL_OUTSTANDING, CICSLSTNR_E_SEND, CICSLSTNR_E_SENDREQUEST_PAYLOAD_LENGTH_CHANGED, CICSLSTNR_E_UNEXPECTED_RECORD, CICSLSTNR_PARAM_CONN_TRANSPORT, CICSLSTNR_PARAM_HOST, CICSLSTNR_PARAM_KEEPALIVE, CICSLSTNR_PARAM_LISTENERTIMEOUT, CICSLSTNR_PARAM_NODELAY, CICSLSTNR_PARAM_PADCHAR, CICSLSTNR_PARAM_POLLINGRATE, CICSLSTNR_PARAM_PORT, CICSLSTNR_PARAM_RECVBUFSIZE, CICSLSTNR_PARAM_SBYNDLISTENER_TRANSID, CICSLSTNR_PARAM_SENDBUFSIZE, CICSLSTNR_PARAM_STARTDELAY, CICSLSTNR_PARAM_STARTTYPE, CICSLSTNR_PARAM_TPTIMEOUT, CICSLSTNR_PARAM_TRANSPORTTIMEOUT, CICSLSTNR_T_CHECK_CONNECTION, CICSLSTNR_T_CONNECT_ALREADY, CICSLSTNR_T_CONNECT_ATTEMPTED, CICSLSTNR_T_CONNECT_DONE, CICSLSTNR_T_CONNECTION_ESTABLISH_FAILED, CICSLSTNR_T_CONNECTION_REUSE, CICSLSTNR_T_EMPTY_ENCODING_DEF_ASSUMED, CICSLSTNR_T_EXECUTE_ASYNC_CALL_RESPONSED_WITH_OK, CICSLSTNR_T_RECV_MSG_EOF, CICSLSTNR_T_RECV_MSG_OK, CICSLSTNR_T_RECV_MSG_PARTIAL, CICSLSTNR_T_RECV_MSG_TIMEOUT, CICSLSTNR_T_REMOVED_ASYNCCALL, CICSLSTNR_T_REMOVING_ASYNCCALL, CICSLSTNR_T_SHUTDOWN_LISTNER_OK, CICSLSTNR_T_SHUTDOWN_LISTNER_RSP_WITH_ERROR, messages, SBYND_LISTENER_RC_AUTHENTICATION_FAILURE, SBYND_LISTENER_RC_BAD_COMMAREA, SBYND_LISTENER_RC_CANNOT_GET_INIT_PARAM, SBYND_LISTENER_RC_ERR_SET_NON_BLOCKING, SBYND_LISTENER_RC_INIT_ERR_STARTUP_TYPE_IC, SBYND_LISTENER_RC_INIT_ERR_STARTUP_TYPE_TD, SBYND_LISTENER_RC_INVALID_APPL_TIMEOUT, SBYND_LISTENER_RC_INVALID_CA_LENGTH, SBYND_LISTENER_RC_INVALID_LISTENER_TIMEOUT, SBYND_LISTENER_RC_INVALID_MSG_LENGTH, SBYND_LISTENER_RC_INVALID_PROGNAME, SBYND_LISTENER_RC_INVALID_REQCODE, SBYND_LISTENER_RC_INVALID_RSPCODE, SBYND_LISTENER_RC_INVALID_TRANSPORT_TIMEOUT, SBYND_LISTENER_RC_OK, SBYND_LISTENER_RC_PARTIAL_MSG, SBYND_LISTENER_RC_PASSWD_ENCRYPT_ERROR, SBYND_LISTENER_RC_PROG_LINK_ERROR, SBYND_LISTENER_RC_TRANS_START_ERROR, SBYND_LISTENER_REQCODE_DESC_LSTNR_RETURN4SYNC, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4ASYNC, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4ASYNCSTART, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4INIT, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4SHUTDOWN, SBYND_LISTENER_REQCODE_DESC_LSTNR_RSP4SYNC, SBYND_LISTENER_REQCODE_DESC_REQ_ASYNC, SBYND_LISTENER_REQCODE_DESC_REQ_SYNC, SBYND_LISTENER_REQCODE_DESC_REQ4SHUTDOWN, SBYND_LISTENER_REQCODE_DESC_REQISCONNECTED, SBYND_LISTENER_REQCODE_DESC_RSP4ASYNCLINKRSP, SBYND_LISTENER_REQCODE_DESC_RSP4RETURN, SBYND_LISTENER_REQCODE_LSTNR_RETURN4SYNC, SBYND_LISTENER_REQCODE_LSTNR_RSP4ASYNC, SBYND_LISTENER_REQCODE_LSTNR_RSP4ASYNCSTART, SBYND_LISTENER_REQCODE_LSTNR_RSP4INIT, SBYND_LISTENER_REQCODE_LSTNR_RSP4SHUTDOWN, SBYND_LISTENER_REQCODE_LSTNR_RSP4SYNC, SBYND_LISTENER_REQCODE_LSTNR_RSPISCONNECTED, SBYND_LISTENER_REQCODE_REQ_ASYNC, SBYND_LISTENER_REQCODE_REQ_SYNC, SBYND_LISTENER_REQCODE_REQ4SHUTDOWN, SBYND_LISTENER_REQCODE_REQISCONNECTED, SBYND_LISTENER_REQCODE_RSP4ASYNCLINKRSP, SBYND_LISTENER_REQCODE_RSP4RETURN`

Constructor Summary
`AsyncCicsCallList()`

Method Summary
`byte[]` | `getCommArea()` Getter for the CommArea - the CommArea used for passing data and get result from a program invoked;
`int` | `getCommAreaLength()` Getter for the CommAreaLength - the CommAreaLength which specify the length of the CommArea used when the CICS program is called, note that the actual length of the byte array represented as `CommArea` is not necessarily the length specified in `CommAreaLength`;
`java.lang.String` | `getProgram()` Getter for the name of the program invoked;
`int` | `getReturnCode()` Getter for the return code for the program call;
`java.lang.String` | `getReturnMessage()` Getter for the return message for the program call;
`long` | `getReturnTime()` Getter for the return time of the program call;
`int` | `getSecondaryReturnCode()` Getter for the secondary return code for the program call;
`long` | `getStartTime()` Getter for the start time of the program call;
`java.lang.String` | `getTopic()` Getter for Topic - the topic that the completion event of the program will be published to;
`boolean` | `hasNext()` Async Call Pool navigation method, check if there is a next async call object in the pool;
`boolean` | `isDone()` Return if the current async call is done (completed) or not;
`void` | `next()` Async Call Pool navigation method, move to the next async call object in the pool;
`void` | `register(AsyncCicsCall call)` Add one call instance into the list and re-init the _Iterator; this is used internally, collaboration will not explicitly register a asynchronous call into the pool, instead, when an async call is to be made, if the collaboration give the gesture - generate a async call handler and set it to `EciCallbackable` node, then implicitly, the async call will be registered in the pool;
`void` | `remove()` Remove the call instance in the list and if the call is still pending -
`void` | `resetList()` Reset the list of the calls so that hasNext() and next() will start at the very first call object in the list;
`boolean` | `returnCodeIs(int returncode)` Check the return code (primary return code) against the parameter specified;
`boolean` | `secondaryReturnCodeIs(int secondaryreturncode)` Check the secondary return code against the parameter specified;
`void` | `setCommArea(byte[] byteArray)` Setter for the CommArea - the CommArea used for passing data and get result from a program invoked;
`void` | `setCommAreaLength(int length)` Setter for the CommAreaLength;
`void` | `setProgram(java.lang.String program)` Setter for the name of the program invoked;
`protected void` | `setReturnCode(int code)` Setter for the return code - the primary return code
`protected void` | `setReturnMessage(java.lang.String msg)` Setter for the return message;
`void` | `setReturnTime(long time)` Setter for the return time - the time when the program returned;
`protected void` | `setSecondaryReturnCode(int code)` Setter for the secondary return code - the secondary return code
`void` | `setStartTime(long time)` Setter for the start time - the time when the program call is issued;
`void` | `setTopic(java.lang.String topic)` Setter for Topic - the name of the topic that the completion event of the program will be published to;

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncCicsCallList

    public AsyncCicsCallList()

Method Detail

### hasNext

    public boolean hasNext()
                    throws CicsClientException

  Async Call Pool navigation method, check if there is a next async call object in the pool;

  Returns:
    `true` - there is a next in the list; `false` - there is no next in the list; For both CTG and SBYND CICS Listener; Making an asynchronous call will set the pointer to the top of the list - i.e. you can call next() to move to the first asynchronous call object in the list;
  Throws:
    `CicsClientException`
  See Also:
    `next()`, `remove()`, `resetList()`

### next

    public void next()
              throws CicsClientException

  Async Call Pool navigation method, move to the next async call object in the pool;

  Throws:
    `CicsClientException`
  See Also:
    `isDone(), returnCodeIs(), secondaryReturnCodeIs(), etc.`

### remove

    public void remove()
                throws CicsClientException

  Remove the call instance in the list and if the call is still pending -

  Throws:
    `CollabDataException` - - exception when attempting to remove the async call object from the pool; For both CTG and SBYND CICS Listener; Note: warning will be logged when attempting to remove a call that is still outstanding, and the deletion will not be carried out;
    `CicsClientException`

### resetList

    public void resetList()
                   throws CicsClientException

  Reset the list of the calls so that hasNext() and next() will start at the very first call object in the list;

  Throws:
    `CicsClientException`

### register

    public void register(AsyncCicsCall call)
                  throws CicsClientException

  Add one call instance into the list and re-init the _Iterator; this is used internally, collaboration will not explicitly register a asynchronous call into the pool, instead, when an async call is to be made, if the collaboration give the gesture - generate a async call handler and set it to `EciCallbackable` node, then implicitly, the async call will be registered in the pool;

  Throws:
    `CicsClientException`

### isDone

    public boolean isDone()
                   throws CicsClientException

  Return if the current async call is done (completed) or not;

  Returns:
    `true` - the call is completed `false` otherwise;
  Throws:
    `CicsClientException`

### returnCodeIs

    public boolean returnCodeIs(int returncode)
                         throws CicsClientException

  Check the return code (primary return code) against the parameter specified;

  Returns:
    `true` - the return code for the call equals the parameter specified; `false`; Note, this method should be called when the call has been completed, it does not make sense to call this method against a call that is not completed yet;
  Throws:
    `CicsClientException`

### secondaryReturnCodeIs

    public boolean secondaryReturnCodeIs(int secondaryreturncode)
                                  throws CicsClientException

  Check the secondary return code against the parameter specified;

  Returns:
    `true` - the return code for the call equals the parameter specified; `false`; Note, this method should be called when the call has been completed, it does not make sense to call this method against a call that is not completed yet;
  Throws:
    `CicsClientException`

### getTopic

    public java.lang.String getTopic()
                              throws CicsClientException

  Getter for Topic - the topic that the completion event of the program will be published to;

  Returns:
    - the topic name;
  Throws:
    `CicsClientException`

### setTopic

    public void setTopic(java.lang.String topic)
                  throws CicsClientException

  Setter for Topic - the name of the topic that the completion event of the program will be published to;

  Parameters:
    ``program`` - - the name of the program;
  Throws:
    `CicsClientException`

### getProgram

    public java.lang.String getProgram()
                                throws CicsClientException

  Getter for the name of the program invoked;

  Returns:
    - the program name;
  Throws:
    `CicsClientException`

### setProgram

    public void setProgram(java.lang.String program)
                    throws CicsClientException

  Setter for the name of the program invoked;

  Parameters:
    ``program`` - - the name of the program;
  Throws:
    `CicsClientException`

### getStartTime

    public long getStartTime()
                      throws CicsClientException

  Getter for the start time of the program call;

  Returns:
    - the time when the program call is issued;
  Throws:
    `CicsClientException`

### setStartTime

    public void setStartTime(long time)
                      throws CicsClientException

  Setter for the start time - the time when the program call is issued;

  Parameters:
    ``time`` - - the time when the program call is issued;
  Throws:
    `CicsClientException`

### getReturnTime

    public long getReturnTime()
                       throws CicsClientException

  Getter for the return time of the program call;

  Returns:
    - the time when the program call returns;
  Throws:
    `CicsClientException`

### setReturnTime

    public void setReturnTime(long time)
                       throws CicsClientException

  Setter for the return time - the time when the program returned;

  Parameters:
    ``time`` - - the time when the program call returns;
  Throws:
    `CicsClientException`

### getCommArea

    public byte[] getCommArea()
                       throws CicsClientException

  Getter for the CommArea - the CommArea used for passing data and get result from a program invoked;

  Returns:
    - the CommArea;
  Throws:
    `CicsClientException`

### setCommArea

    public void setCommArea(byte[] byteArray)
                     throws CicsClientException

  Setter for the CommArea - the CommArea used for passing data and get result from a program invoked;

  Parameters:
    ``byteArray`` - - the CommArea;
  Throws:
    `CicsClientException`

### getCommAreaLength

    public int getCommAreaLength()
                          throws CicsClientException

  Getter for the CommAreaLength - the CommAreaLength which specify the length of the CommArea used when the CICS program is called, note that the actual length of the byte array represented as `CommArea` is not necessarily the length specified in `CommAreaLength`;

  Returns:
    - the CommAreaLength;
  Throws:
    `CicsClientException`

### setCommAreaLength

    public void setCommAreaLength(int length)
                           throws CicsClientException

  Setter for the CommAreaLength;

  Parameters:
    ``length`` - - the length;
  Throws:
    `CicsClientException`

### getReturnCode

    public int getReturnCode()
                      throws CicsClientException

  Getter for the return code for the program call;

  Returns:
    - the return code (primary return code);
  Throws:
    `CicsClientException`

### setReturnCode

    protected void setReturnCode(int code)
                          throws CicsClientException

  Setter for the return code - the primary return code

  Parameters:
    ``code`` - - the code;
  Throws:
    `CicsClientException`

### getSecondaryReturnCode

    public int getSecondaryReturnCode()
                               throws CicsClientException

  Getter for the secondary return code for the program call;

  Returns:
    - the return code (secondary return code);
  Throws:
    `CicsClientException`

### setSecondaryReturnCode

    protected void setSecondaryReturnCode(int code)
                                   throws CicsClientException

  Setter for the secondary return code - the secondary return code

  Parameters:
    ``code`` - - the code;
  Throws:
    `CicsClientException`

### getReturnMessage

    public java.lang.String getReturnMessage()
                                      throws CicsClientException

  Getter for the return message for the program call;

  Returns:
    - the return message;
  Throws:
    `CicsClientException`

### setReturnMessage

    protected void setReturnMessage(java.lang.String msg)
                             throws CicsClientException

  Setter for the return message;

  Parameters:
    ``msg`` - - the message text;
  Throws:
    `CicsClientException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD